﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ConfirmDeleteDataForm.Model;
using System.Windows.Media.Effects;

namespace ConfirmDeleteDataForm
{
    public partial class MainPage : UserControl
    {
        
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            PeopleBrowser.ItemsSource = Person.GetPeople();
        }

        private bool _delete = false;

        private void PeopleBrowser_DeletingItem(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if (!_delete)
            {
                Person p = PeopleBrowser.CurrentItem as Person;
                ConfirmDialog cd = new ConfirmDialog();
                cd.Closed += new EventHandler(cd_Closed);
                cd.Title = string.Format("Delete {0} {1}?", p.FirstName, p.LastName);
                BlurEffect b = new BlurEffect();
                b.Radius = 10;
                PeopleBrowser.Effect = b;
                cd.Show();
                e.Cancel = true;
            }
            else
            {
                _delete = false;
            }
        }

        void cd_Closed(object sender, EventArgs e)
        {
            PeopleBrowser.Effect = null;
            ConfirmDialog cd = sender as ConfirmDialog;
            if (cd.DialogResult == true)
            {
                _delete = true;
                PeopleBrowser.DeleteItem();
            }
        }
    }
}